Capacity Rules
GET
/workspaces/{workspaceId}/inbox/capacity
Retrieve list of capacity rule
Parameter query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload respons
results
array of object
wajib
Tampilkan atribut turunan
results.id
string
wajib
results.workspaceId
string
wajib
results.name
string
wajib
results.description
string
wajib
results.default
boolean
results.capacity
object
wajib
Tampilkan atribut turunan
results.capacity.messaging
integer
results.capacity.email
integer
results.assignedAgentIds
array of string
results.createdAt
string
results.updatedAt
string
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/capacity
Create Capacity Rule
Payload permintaan
name
string
wajib
description
string
wajib
default
boolean
capacity
object
wajib
Tampilkan parameter turunan
capacity.messaging
integer
wajib
capacity.email
integer
wajib
agents
array of string
Payload respons
id
string
wajib
workspaceId
string
wajib
name
string
wajib
description
string
wajib
default
boolean
capacity
object
wajib
Tampilkan atribut turunan
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Contoh kode
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Get a Capacity Rule
Payload respons
id
string
wajib
workspaceId
string
wajib
name
string
wajib
description
string
wajib
default
boolean
capacity
object
wajib
Tampilkan atribut turunan
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Update Capacity Rule
Payload permintaan
name
string
description
string
default
boolean
capacity
object
Tampilkan parameter turunan
capacity.messaging
integer
wajib
capacity.email
integer
wajib
Payload respons
id
string
wajib
workspaceId
string
wajib
name
string
wajib
description
string
wajib
default
boolean
capacity
object
wajib
Tampilkan atribut turunan
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Contoh kode
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Delete a Capacity Rule
Contoh kode
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
Assign Capacity Rule
Payload permintaan
agents
array of string
wajib
Contoh kode
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
get agents assigned to Capacity Rule
Payload respons
agents
array of string
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'